Skip to main content
GET
/
api
/
v1
/
agents
List Agents
curl --request GET \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "01kqh44e0js9xngdb1s9rctf16",
      "name": "My Agent",
      "status": "draft",
      "voice": "",
      "numbers": [],
      "subscription": null,
      "created_at": "2026-05-01T06:38:03.000000Z",
      "updated_at": "2026-05-01T06:38:03.000000Z",
      "published_at": null,
      "workspace_id": "01kqh44e043p6nea6edbck7cy2"
    },
    {
      "id": "01kqh44e1rsa3ycq33h3ks3ky7",
      "name": "My Agent",
      "status": "draft",
      "voice": "",
      "numbers": [],
      "subscription": null,
      "created_at": "2026-05-01T06:38:03.000000Z",
      "updated_at": "2026-05-01T06:38:03.000000Z",
      "published_at": null,
      "workspace_id": "01kqh44e1b3tz41xev6hp1rxjq"
    }
  ],
  "meta": {
    "per_page": 20,
    "next_cursor": null,
    "prev_cursor": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://cooloquiptyltd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

per_page
integer

The number of items per page. Must be at least 1. Must not be greater than 100.

Example:

25

cursor
string

The cursor for pagination. Use the meta.next_cursor or meta.previous_cursor from the response.

Example:

"example"

Response

200 - application/json
data
object[]
Example:
[
{
"id": "01kqh44e0js9xngdb1s9rctf16",
"name": "My Agent",
"status": "draft",
"voice": "",
"numbers": [],
"subscription": null,
"created_at": "2026-05-01T06:38:03.000000Z",
"updated_at": "2026-05-01T06:38:03.000000Z",
"published_at": null,
"workspace_id": "01kqh44e043p6nea6edbck7cy2"
},
{
"id": "01kqh44e1rsa3ycq33h3ks3ky7",
"name": "My Agent",
"status": "draft",
"voice": "",
"numbers": [],
"subscription": null,
"created_at": "2026-05-01T06:38:03.000000Z",
"updated_at": "2026-05-01T06:38:03.000000Z",
"published_at": null,
"workspace_id": "01kqh44e1b3tz41xev6hp1rxjq"
}
]
meta
object